

data:extend(
{	
	{
		type = "container",
		name = "y-rare-chest",
		icon = "__Yuoki__/graphics/icons/rareore-chest-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = {mining_time = 1, result = "y-rare-chest"},
		max_health = 300,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "physical",
				percent = 20
			},		
			{
				type = "fire",
				percent = 50
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container-small",
		inventory_size = 60,
		picture =
		{
			filename = "__Yuoki__/graphics/entity/rareore-chest.png",
			priority = "high",
			width = 44,
			height = 37,
			shift = {0.13, 0.05},
		}
	},
	
	{
		type = "smart-container",
		name = "y-rare-chest-smart",
		icon = "__Yuoki__/graphics/icons/rareore-smart-chest-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = { hardness = 0.2, mining_time = 0.5, result = "y-rare-chest-smart" },
		max_health = 300,
		corpse = "small-remnants",
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container",
		inventory_size = 60,
		picture =
		{
			filename = "__Yuoki__/graphics/entity/rareore-smart-chest.png",
			priority = "extra-high",
			width = 48,
			height = 40,
			shift = {0.15, 0.05}
		},
		connection_point =
		{
			shadow =
			{
				red = {0.7, -0.3},
				green = {0.7, -0.3}
			},
			wire =
			{
				red = {0.3, -0.8},
				green = {0.3, -0.8}
			}
		}
	},
	
	{
		type = "logistic-container",
		name = "y-rare-chest-log",
		icon = "__Yuoki__/graphics/icons/rareore-log-chest-icon.png",
		flags = {"placeable-player", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },		
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-rare-chest-log"},
		max_health = 300,
		corpse = "small-remnants",
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "container",
		inventory_size = 60,
		logistic_mode = "storage",
		picture =
		{
			filename = "__Yuoki__/graphics/entity/rareore-log-chest.png",
			priority = "extra-high",
			width = 48,
			height = 40,
			shift = {0.15, 0.05}
		}
	},

	{
		type = "container",
		name = "y-rare-s1bunker",
		icon = "__Yuoki__/graphics/entity/bunker-s-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = {mining_time = 1, result = "y-rare-s1bunker"},
		max_health = 400,
		corpse = "small-remnants",
		resistances = {{type = "physical",percent = 20,},{type = "fire",percent = 50,}},
		collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		--fast_replaceable_group = "container-medium",
		inventory_size = 100,
		picture =
		{
			filename = "__Yuoki__/graphics/entity/rareore-small-bunker.png",
			priority = "high",
			width = 80,
			height = 72,
			shift = {0.3, 0.05},
		}
	},

	{
		type = "container",
		name = "y-rare-m1bunker",
		icon = "__Yuoki__/graphics/icons/bunker-m-storeage-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = {mining_time = 1, result = "y-rare-m1bunker"},
		max_health = 500,
		corpse = "medium-remnants",
		resistances = {{type = "physical",percent = 20,},{type = "fire",percent = 50,}},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		--fast_replaceable_group = "container-medium",
		inventory_size = 140,
		picture =
		{
			filename = "__Yuoki__/graphics/entity/bunker-m-storeage-e.png",
			priority = "high",
			width = 128,
			height = 100,
			shift = {0.35, 0.05},
		}
	},
	{
		type = "logistic-container",
		name = "y-rare-m1bunker-log",
		icon = "__Yuoki__/graphics/entity/bunker-mlog-storeage-icon.png",
		flags = {"placeable-player", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },		
		minable = {mining_time = 1.5, result = "y-rare-m1bunker-log"},
		max_health = 500,
		corpse = "medium-remnants",
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "container",
		inventory_size = 140,
		logistic_mode = "storage",
		picture =
		{
			filename = "__Yuoki__/graphics/entity/bunker-mlog-storeage-e.png",
			priority = "high",
			width = 128,
			height = 100,
			shift = {0.35, 0.05},
		}
	},
	{
		type = "container",
		name = "y-rare-b1bunker",
		icon = "__Yuoki__/graphics/icons/bunker-b-storeage-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		minable = {mining_time = 1, result = "y-rare-b1bunker"},
		max_health = 600,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 20,},{type = "fire",percent = 50,}},
		collision_box = {{-1.7, -1.7}, {1.7, 1.7}},
		selection_box = {{-2.0, -2.0}, {2.0, 2.0}},
		--fast_replaceable_group = "container-medium",
		inventory_size = 220,
		picture =
		{
			filename = "__Yuoki__/graphics/entity/bunker-b-storeage-e.png",
			priority = "high",
			width = 140,
			height = 110,
			shift = {0.37, -0.05},
		}
	},
	
	

})